Bug 442908 - yaboot builds against binary copy of libext2fs.a
yaboot builds against binary copy of libext2fs.a
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yaboot (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Roman Rakus
James Laska
:
Depends On: 442904
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 11:05 EDT by Ric Wheeler
Modified: 2014-01-12 19:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:15:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-04-17 11:05:49 EDT
+++ This bug was initially created as a clone of Bug #442904 +++

We don't build yaboot completely from source -- in versions <= 1.3.13, the
"source" tarball contains a prebuilt copy of libext2fs.a, which we were using.

Version 1.3.14 builds against the system's static libext2fs.a. That also
concerns me a little -- yaboot is far from being a standard environment; we
build with -nostdlib etc.  But it seems to work.
Comment 1 RHEL Product and Program Management 2008-06-02 16:05:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 17:15:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0244.html

Note You need to log in before you can comment on or make changes to this bug.